> ## Documentation Index
> Fetch the complete documentation index at: https://docs.livepeer.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Download AI Models

AI Orchestrators on the Livepeer AI network can choose from various AI models to
advertise on the network. A comprehensive list of currently supported models for
each Livepeer AI pipeline is available on the [Pipelines](/ai/pipelines) page.
Before specifying which models to advertise on the Livepeer AI network, you must
first download the models to your machine. The following steps will guide you
through downloading the **recommended** models for Livepeer AI.

<Steps>
  <Step title="Install HuggingFace CLI">
    Use the following command to install the HuggingFace CLI:

    ```bash theme={"theme":{"light":"github-light","dark":"dark-plus"}}
    pip install huggingface_hub
    ```
  </Step>

  <Step title="Generate Hugging Face Token">
    Follow the instructions on the [Hugging Face website](https://huggingface.co/docs/hub/en/security-tokens) to generate an access token with **read** permissions. Then, use the Hugging Face CLI to install the token:

    ```bash theme={"theme":{"light":"github-light","dark":"dark-plus"}}
    hf auth login
    ```

    You will be prompted to paste the access token you created on the Hugging Face website.

    <Note>If you have trouble locating `hf` in your path, it may be necessary to add `/home/$USER/.local/bin/` to your local path.</Note>
  </Step>

  <Step title="Accept SVD1.1 Terms">
    The currently recommended models include one **gated** model. Therefore, you must accept the terms of the [SVD1.1 model](https://huggingface.co/stabilityai/stable-video-diffusion-img2vid-xt-1-1) on its model page before downloading.
  </Step>

  <Step title="Download AI Models">
    Use the following command to download the **recommended** models for Livepeer AI:

    ```bash theme={"theme":{"light":"github-light","dark":"dark-plus"}}
    cd ~/.lpData
    latest=$(curl -s https://api.github.com/repos/livepeer/ai-runner/releases/latest | grep '"tag_name":' | cut -d'"' -f4)
    curl -s https://raw.githubusercontent.com/livepeer/ai-runner/tags/$latest/runner/dl_checkpoints.sh | bash -s -- --beta
    ```

    This command downloads the recommended models for Livepeer AI and stores them in your machine's `~/.lpData/models` directory. To obtain a complete set of models, omit the `--beta` flag. This will require additional disk space.
  </Step>
</Steps>
